Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.wms.capabilities
Class WMSCapabilitiesDocument_1_3_0

    java.lang.Object
      org.deegree.framework.xml.XMLFragment
          org.deegree.ogcbase.OGCDocument
              org.deegree.ogcwebservices.getcapabilities.OGCCapabilitiesDocument
                  org.deegree.ogcwebservices.wms.capabilities.WMSCapabilitiesDocument
                      org.deegree.ogcwebservices.wms.capabilities.WMSCapabilitiesDocument_1_3_0

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  WMSConfigurationDocument_1_3_0

    public class WMSCapabilitiesDocument_1_3_0

extends WMSCapabilitiesDocument

`WMSCapabilitiesDocument_1_3_0` is a parser class for capabilities documents according to the OGC WMS 1.3.0 specification.

Since:
  2.0
Version:
  2.0, $Revision: 24678 $, $Date: 2010-06-02 15:08:36 +0200 (Mi, 02. Jun 2010) $
Author:
  Andreas Schmitz, last edited by: $Author: aschmitz $
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.deegree.ogcwebservices.getcapabilities.OGCCapabilitiesDocument
`OGCNS`

Fields inherited from class org.deegree.ogcbase.OGCDocument
`GMLNS`

Fields inherited from class org.deegree.framework.xml.XMLFragment
`DEFAULT_URL, nsContext, XLNNS`

Constructor Summary
`WMSCapabilitiesDocument_1_3_0()`

Method Summary
`void` | `createEmptyDocument()` Creates a skeleton capabilities document that contains the mandatory elements only.
`protected Attribution` | `parseAttribution(Element layerElem)`
`protected AuthorityURL[]` | `parseAuthorityURLs(Element layerElem)`
`OGCCapabilities` | `parseCapabilities()` Creates a class representation of the document.
`protected ContactInfo` | `parseContactInfo()`
`protected DataURL[]` | `parseDataURL(Element layerElem)`
`protected DCP` | `parseDCP(Element element)` Parses a DCPType element.
`protected Dimension[]` | `parseDimensions(Element layerElem)`
`protected Envelope` | `parseEX_GeographicBoundingBox(Element llBox)`
`protected List<String>` | `parseExceptionFormats(Element elem)`
`protected FeatureListURL[]` | `parseFeatureListURL(Element layerElem)`
`protected Identifier[]` | `parseIdentifiers(Element layerElem)`
`protected LayerBoundingBox[]` | `parseLayerBoundingBoxes(List<Element> nl)`
`protected Layer` | `parseLayers(Element layerElem, Layer parent, ScaleHint scaleHint)`
`protected LegendURL[]` | `parseLegendURL(Node node)`
`protected MetadataURL[]` | `parseMetadataURLs(Element layerElem)`
`protected Operation` | `parseOperation(Node node)` Creates an `Operation`-instance according to the contents of the DOM-subtree starting at the given `Node`.
`protected OperationsMetadata` | `parseOperationsMetadata()` returns the services capabilitiy read from the WMS capabilities file
`protected ScaleHint` | `parseScaleHint(Element layerElem, ScaleHint scaleHint)`
`protected ServiceIdentification` | `parseServiceIdentification()`
`protected ServiceProvider` | `parseServiceProvider()` returns WMS contact informaion encapsulated within a `ServiceProvider` object
`protected Style[]` | `parseStyles(Element layerElem)`
`protected StyleSheetURL` | `parseStyleSheetURL(Node node)`
`protected StyleURL` | `parseStyleURL(Node node)`

Methods inherited from class org.deegree.ogcwebservices.wms.capabilities.WMSCapabilitiesDocument
`parseExtents, parseLatLonBoundingBox, parseUserDefinedSymbolization`

Methods inherited from class org.deegree.ogcwebservices.getcapabilities.OGCCapabilitiesDocument
`parseAddress, parseMetadataLink, parsePhone, parseUpdateSequence, parseVersion`

Methods inherited from class org.deegree.ogcbase.OGCDocument
`parseCodeList, parseCodeListArray, parseExtendedPropertyPath, parseInterval, parseKeywords, parseKeywords, parseLonLatEnvelope, parseOnLineResource, parsePropertyPath, parseTimePeriod, parseTimePeriods, parseTimePositions, parseTimeSequence, parseTypedLiteral, parseValues`

Methods inherited from class org.deegree.framework.xml.XMLFragment
`getAsPrettyString, getAsString, getAttachedSchemas, getQualifiedName, getRootElement, getSystemId, hasSchema, load, load, load, parseQualifiedName, parseSimpleLink, prettyPrint, prettyPrint, resolve, setRootElement, setSystemId, setSystemId, toString, write, write, write, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### WMSCapabilitiesDocument_1_3_0

    public WMSCapabilitiesDocument_1_3_0()

Method Detail

### createEmptyDocument

    public void createEmptyDocument()
                             throws IOException,
                                    SAXException

  Description copied from class: `WMSCapabilitiesDocument`
  Creates a skeleton capabilities document that contains the mandatory elements only.

  Overrides:
    `createEmptyDocument` in class `WMSCapabilitiesDocument`
  Throws:
    `IOException`
    `SAXException`

### parseExceptionFormats

    protected List<String> parseExceptionFormats(Element elem)
                                          throws XMLParsingException

  Overrides:
    `parseExceptionFormats` in class `WMSCapabilitiesDocument`
  Throws:
    `XMLParsingException`

### parseCapabilities

    public OGCCapabilities parseCapabilities()
                                      throws InvalidCapabilitiesException

  Description copied from class: `WMSCapabilitiesDocument`
  Creates a class representation of the document.

  Overrides:
    `parseCapabilities` in class `WMSCapabilitiesDocument`
  Returns:
    class representation of the configuration document
  Throws:
    `InvalidCapabilitiesException`

### parseServiceIdentification

    protected ServiceIdentification parseServiceIdentification()
                                                        throws XMLParsingException

  Overrides:
    `parseServiceIdentification` in class `WMSCapabilitiesDocument`
  Returns:
    the services indentification read from the WMS capabilities service section
  Throws:
    `XMLParsingException`

### parseServiceProvider

    protected ServiceProvider parseServiceProvider()
                                            throws XMLParsingException

  Description copied from class: `WMSCapabilitiesDocument`
  returns WMS contact informaion encapsulated within a `ServiceProvider` object

  Overrides:
    `parseServiceProvider` in class `WMSCapabilitiesDocument`
  Returns:
    the service provider data
  Throws:
    `XMLParsingException`

### parseContactInfo

    protected ContactInfo parseContactInfo()
                                    throws XMLParsingException

  Overrides:
    `parseContactInfo` in class `WMSCapabilitiesDocument`
  Returns:
    the contact information
  Throws:
    `XMLParsingException`

### parseOperationsMetadata

    protected OperationsMetadata parseOperationsMetadata()
                                                  throws XMLParsingException

  Description copied from class: `WMSCapabilitiesDocument`
  returns the services capabilitiy read from the WMS capabilities file

  Overrides:
    `parseOperationsMetadata` in class `WMSCapabilitiesDocument`
  Returns:
    the operations metadata
  Throws:
    `XMLParsingException`

### parseOperation

    protected Operation parseOperation(Node node)
                                throws XMLParsingException

  Description copied from class: `WMSCapabilitiesDocument`
  Creates an `Operation`-instance according to the contents of the DOM-subtree starting at the given `Node`.

  Notice: operation to be parsed must be operations in sense of WMS 1.0.0 - 1.3.0 and not as defined in OWSCommons. But the method will return an OWSCommon Operation which encapsulates parsed WMS operation

  Overrides:
    `parseOperation` in class `WMSCapabilitiesDocument`
  Parameters:
    `node` - the `Element` that describes an `Operation`
  Returns:
    the constructed `Operation`-instance
  Throws:
    `XMLParsingException` - if a syntactic or semantic error in the DOM-subtree is encountered

### parseDCP

    protected DCP parseDCP(Element element)
                    throws XMLParsingException

  Description copied from class: `WMSCapabilitiesDocument`
  Parses a DCPType element. Does not override the method defined in the base class any more.

  Overrides:
    `parseDCP` in class `WMSCapabilitiesDocument`
  Returns:
    created `DCPType`
  Throws:
    `XMLParsingException`
  See Also:
    `OGCStandardCapabilities`

### parseLayers

    protected Layer parseLayers(Element layerElem,
                                Layer parent,
                                ScaleHint scaleHint)
                         throws XMLParsingException,
                                UnknownCRSException

  Overrides:
    `parseLayers` in class `WMSCapabilitiesDocument`
  Returns:
    the layer created from the given element
  Throws:
    `XMLParsingException`
    `UnknownCRSException`

### parseScaleHint

    protected ScaleHint parseScaleHint(Element layerElem,
                                       ScaleHint scaleHint)
                                throws XMLParsingException

  Overrides:
    `parseScaleHint` in class `WMSCapabilitiesDocument`
    `scaleHint` - the default scale hint
  Returns:
    the scale hint
  Throws:
    `XMLParsingException`

### parseDimensions

    protected Dimension[] parseDimensions(Element layerElem)
                                   throws XMLParsingException

  Overrides:
    `parseDimensions` in class `WMSCapabilitiesDocument`
  Returns:
    the dimensions
  Throws:
    `XMLParsingException`

### parseAttribution

    protected Attribution parseAttribution(Element layerElem)
                                    throws XMLParsingException

  Overrides:
    `parseAttribution` in class `WMSCapabilitiesDocument`
  Returns:
    the attribution
  Throws:
    `XMLParsingException`

### parseAuthorityURLs

    protected AuthorityURL[] parseAuthorityURLs(Element layerElem)
                                         throws XMLParsingException

  Overrides:
    `parseAuthorityURLs` in class `WMSCapabilitiesDocument`
  Returns:
    the URLs
  Throws:
    `XMLParsingException`

### parseMetadataURLs

    protected MetadataURL[] parseMetadataURLs(Element layerElem)
                                       throws XMLParsingException

  Overrides:
    `parseMetadataURLs` in class `WMSCapabilitiesDocument`
  Returns:
    the URLs
  Throws:
    `XMLParsingException`

### parseDataURL

    protected DataURL[] parseDataURL(Element layerElem)
                              throws XMLParsingException

  Overrides:
    `parseDataURL` in class `WMSCapabilitiesDocument`
  Returns:
    the URLs
  Throws:
    `XMLParsingException`

### parseFeatureListURL

    protected FeatureListURL[] parseFeatureListURL(Element layerElem)
                                            throws XMLParsingException

  Overrides:
    `parseFeatureListURL` in class `WMSCapabilitiesDocument`
  Returns:
    the URLs
  Throws:
    `XMLParsingException`

### parseStyles

    protected Style[] parseStyles(Element layerElem)
                           throws XMLParsingException

  Overrides:
    `parseStyles` in class `WMSCapabilitiesDocument`
  Returns:
    the styles
  Throws:
    `XMLParsingException`

### parseLegendURL

    protected LegendURL[] parseLegendURL(Node node)
                                  throws XMLParsingException

  Overrides:
    `parseLegendURL` in class `WMSCapabilitiesDocument`
  Returns:
    the URLs
  Throws:
    `XMLParsingException`

### parseStyleURL

    protected StyleURL parseStyleURL(Node node)
                              throws XMLParsingException

  Overrides:
    `parseStyleURL` in class `WMSCapabilitiesDocument`
  Returns:
    the URL
  Throws:
    `XMLParsingException`

### parseStyleSheetURL

    protected StyleSheetURL parseStyleSheetURL(Node node)
                                        throws XMLParsingException

  Overrides:
    `parseStyleSheetURL` in class `WMSCapabilitiesDocument`
  Returns:
    the URL
  Throws:
    `XMLParsingException`

### parseIdentifiers

    protected Identifier[] parseIdentifiers(Element layerElem)
                                     throws XMLParsingException

  Overrides:
    `parseIdentifiers` in class `WMSCapabilitiesDocument`
  Returns:
    the identifiers
  Throws:
    `XMLParsingException`

### parseLayerBoundingBoxes

    protected LayerBoundingBox[] parseLayerBoundingBoxes(List<Element> nl)
                                                  throws XMLParsingException

  Overrides:
    `parseLayerBoundingBoxes` in class `WMSCapabilitiesDocument`
  Returns:
    the bboxes
  Throws:
    `XMLParsingException`

### parseEX_GeographicBoundingBox

    protected Envelope parseEX_GeographicBoundingBox(Element llBox)
                                              throws XMLParsingException,
                                                     UnknownCRSException

  Parameters:
    `llBox` -
  Returns:
    the envelope
  Throws:
    `XMLParsingException`
    `UnknownCRSException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org